Page MenuHomePhabricator

Allow uploading files via ApiSandbox
Closed, ResolvedPublic

Description

For action=upload, it would be cool if ApiSandbox allowed file uploads (It should be possible using FormData). The chunked upload stuff can be kind of confusing, it would be nice to have an easy interface to test it with.


Version: unspecified
Severity: enhancement

Details

Reference
bz48607

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:16 AM
bzimport set Reference to bz48607.
bzimport added a subscriber: Unknown Object (MLST).
Bawolff created this task.May 18 2013, 9:29 PM

Sounds not so complicated, because the param type 'upload' exist since fix of bug 44909, which can be used to add a input with type="file" and submit the field as multipart/form-data

Change 209570 had a related patch set uploaded (by Anomie):
WIP: Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

Change 209570 merged by jenkins-bot:
Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptFeb 3 2016, 4:53 PM
Anomie closed this task as Resolved.Feb 3 2016, 5:11 PM
Anomie claimed this task.
Anomie added a subscriber: Anomie.